VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Form1"
   ClientHeight    =   5280
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4500
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5280
   ScaleWidth      =   4500
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstExample2 
      Height          =   1230
      Left            =   2280
      TabIndex        =   6
      Top             =   3390
      Width           =   2050
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   450
      Left            =   120
      TabIndex        =   5
      Top             =   4800
      Width           =   4215
   End
   Begin VB.CommandButton cmdExample2 
      Caption         =   "Load ListBox &after pre-processing string"
      Height          =   975
      Left            =   2280
      TabIndex        =   4
      Top             =   2370
      Width           =   2050
   End
   Begin VB.CommandButton cmdExample1 
      Caption         =   "Load ListBox &WITHOUT pre-processing string"
      Height          =   975
      Left            =   135
      TabIndex        =   3
      Top             =   2370
      Width           =   2050
   End
   Begin VB.ListBox lstExample1 
      Height          =   1230
      Left            =   130
      TabIndex        =   2
      Top             =   3400
      Width           =   2050
   End
   Begin VB.TextBox txtInput 
      Height          =   1290
      Left            =   150
      MultiLine       =   -1  'True
      TabIndex        =   0
      Text            =   "Form1.frx":0000
      Top             =   960
      Width           =   4185
   End
   Begin VB.Label lblTxtInput 
      Caption         =   "Text to be Loaded into ListBoxes :"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   210
      TabIndex        =   1
      Top             =   510
      Width           =   4110
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim strInput As String

Private Sub cmdExample1_Click()
Dim strWords() As String          ' array to hold split string
Dim i As Integer                  ' Loop Counter
  
    ' split the string up, delimited by spaces
    strWords = Split(strInput, " ")

    ' loop through the string array, loading elements into the list box
    For i = LBound(strWords) To UBound(strWords)
        lstExample1.AddItem strWords(i)
    Next i
End Sub

Private Sub cmdExample2_Click()
Dim strWords() As String          ' array to hold split string
Dim i As Integer                  ' Loop Counter

    ' process the string prior to use of the split function to remove tabs, multi-spaces etc
    strInput = CleanString(strInput)

    ' split the processed string up, delimited by spaces
    strWords = Split(strInput, " ")

    ' loop through the string array, loading elements into the list box
    For i = LBound(strWords) To UBound(strWords)
        lstExample2.AddItem strWords(i)
    Next i
End Sub
Private Sub cmdExit_Click()
  End
End Sub

Private Sub Form_Load()

  ' reset lists and text box displays
  txtInput.Text = ""
  lstExample1.Clear
  lstExample2.Clear

  ' prepare string to load into text box
  strInput = "Oh there    once was " & vbTab & "a swagman camped in the billabongs" & vbCrLf
  strInput = strInput & "Under the shade of" & vbTab & " a Coolibah    tree" & vbCrLf
  strInput = strInput & "And he sang as he     looked at the      old billy boiling" & vbCrLf
  strInput = strInput & "Who'll come a-waltzing " & vbTab & "Matilda with me" & vbCrLf

  txtInput.Text = strInput
End Sub


' ****************************************************************************
' Name         :  CleanString
' Purpose      :  Replace all occurences of tabs, CRLF and multiple spaces so
'                   that words are separated by single spaces
' Method       :  Repeatedly replace occurrences of 2 adjacent spaces with
'                   1 space, until all multiple spaces are replaced
' Inputs       :  strSource [the string to be 'filtered']
' Outputs      :  returns the 'processed' string
' Errors       :  -
' Assumptions  :  -
'
' Developer           Date          Comments
' ---------       ----------       -----------------
' AMS             2000/04/07       Initial Creation
' ****************************************************************************
Public Function CleanString(strSource As String) As String
    On Error GoTo CleanStringErr

    ' convert tabs to spaces first
    strSource = Replace(strSource, vbTab, " ")

    ' convert all CRLFs to spaces
    strSource = Replace(strSource, vbCrLf, " ")

    ' Find and replace any occurences of multiple spaces
    Do While (InStr(strSource, "  "))
        ' if true, the string still contains double spaces,
        ' replace with single space
        strSource = Replace(strSource, "  ", " ")
    Loop

    ' Remove any leading or training spaces and return result
    CleanString = Trim(strSource)
    Exit Function

CleanStringErr:
    ' Insert error-handling code here
End Function

